- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Transducer Class Template Reference

Final class for the set of transducers. More...

Inheritance diagram for Transducer:

[legend]

List of all members.

## Public Types
typedef Transducer< Series > | self_t
| Exact type of the most derived type in the hierarchy.
typedef virtual_types< self_t > ::series_set_t | series_set_t
| The type of the series set associated with the automaton.
## Public Member Functions
const series_set_t & | series () const
| Accessor to the set of series of the automaton.
bool | contains (const Element< Self, T > &elt) const
| Check if a given element is compatible with the structural element.
bool | contains (const Element< OtherS, T > &other) const
| Specialization of `contains` that always returns false.
bool | contains (const T &elt_value) const
| Check if an anonymous value is compatible with a structural element.
Element< Self, T > | choose (SELECTOR(T)) const
| Choose randomly an element in the structure.
self_t & | self ()
| Accessor to the real type.
const self_t & | self () const
| Accessor to the real type.

## Detailed Description

### template<class Series>
class vcsn::Transducer< Series >

Final class for the set of transducers.

Definition at line 53 of file transducer.hh.

## Member Function Documentation

bool contains | ( | const Element< OtherS, T > & | other | ) | const`[inline, inherited]`

Specialization of `contains` that always returns false.

Indeed, elements structured by a particular type are always incompatible with structural elements of another type.

self_t& self | ( |  | ) | `[inherited]`

Accessor to the real type.

To be used by implementations in this class and derived structures to obtain a reference to the structural element with its most derived type.

Referenced by vcsn::op_letter_delta(), vcsn::op_letter_deltac(), vcsn::op_letter_rdelta(), vcsn::op_letter_rdeltac(), vcsn::op_spontaneous_delta(), vcsn::op_spontaneous_deltac(), vcsn::op_spontaneous_rdelta(), and vcsn::op_spontaneous_rdeltac().

const self_t& self | ( |  | ) | const`[inherited]`

Accessor to the real type.

To be used by implementations in this class and derived structures to obtain a reference to the structural element with its most derived type.